Subject: Re: B20.1 bug: find is acting funny
From: [email-masked] (Christopher G. Faylor)

4 Jan 1999 17:54:13 GMT
Message-ID: <[email-masked]>
References: <[email-masked]>
X-Newsreader: trn 4.0-test63 (15 March 1998)

In article <[email-masked]>,
Hugh Winkler <[email-masked]> wrote:
>In b20.1 (bash 2.02.1(2), find 4.1) if I do
>    find ./ -name *.java
>
>and there are some .java files in the current directory, find emits
>
>	find: paths must precede expression
>	Usage: find [path...] [expression]
>
>but if there are no .java files in the current directory, find behaves as
>expected.
>
>Same behavior for any search pattern, not just .java, of course.
>
>find was working properly in 20.0 I'm pretty sure.

I would be suprised if find worked any differently in 20.0.  This is standard
behvior for find on UNIX.  Since cygwin is emulating UNIX, I'm happy to see
this behavior is consistent.

Try quoting the "*.java".  That's what you'd have to do on UNIX.

-chris
-- 
[email-masked]
http://www.cygnus.com/